Subject: Re: [PATCH] net: sched: dev_deactivate_many(): use msleep(1) instead of yield() to wait for outstanding qdisc_run callsb

From: Peter Zijlstra <[email-masked]>
Date: Mon, 7 Apr 2014 13:19:06 +0200

On Fri, Apr 04, 2014 at 11:26:28AM -0400, David Miller wrote:
> From: Peter Zijlstra <[email-masked]>
> Date: Fri, 4 Apr 2014 17:19:42 +0200
> 
> > The proper way to fix the dev_deactivate_many() is to use wait_event(),
> > polling for that state is just daft. Afaict there is no reason the qdisc
> > code could not do a wakeup whenever that condition changes.
> 
> I actually looked into this, and it's going to add expensive checks
> to the fast paths of packet processing.
> 
> If it was so easy we'd be doing it that way already.

Fair enough; and I suppose this waiting side is 'rare' compared to the
packet processing side of things?

In that case you could add a comment with the msleep() and just leave it
at that I suppose.